#
# spec file for package bluez-utils (Version 3.7)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    a2ps aaa_base acl alsa alsa-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bluez-libs bzip2 coreutils cpio cpp cpp41 cracklib cups cups-client cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel foomatic-filters freetype2 freetype2-devel fuse fuse-devel gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel ghostscript-mini glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libjpeg libltdl libmudflap41 libnscd libpng libstdc++41 libtiff libtool libusb libvolume_id libxcrypt libxml2 libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openobex openobex-devel openslp openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline resmgr rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           bluez-utils
BuildRequires:  alsa-devel bluez-libs cups dbus-1-devel fuse-devel libusb openobex-devel pkgconfig resmgr xorg-x11-devel
Url:            http://bluez.sourceforge.net
Version:        3.7
Release:        29.4
Summary:        Bluetooth Daemons and Utilities
License:        GPL v2 or later
PreReq:         %fillup_prereq %insserv_prereq 
Group:          Hardware/Mobile
AutoReqProv:    on
Source:         bluez-utils-%{version}.tar.gz
Source1:        bluez-utils_doc.tar.bz2
Source2:        opd-v0.2-2003-03-18.tgz
Source3:        README.opd 
Source4:        udev.bluetooth.sh
Source5:        bluetooth.sysconfig
Source6:        bluetooth.rc.suse
Source9:        README.SUSE
Patch1:         opd-v0.2-2003-03-18.dif
Patch2:         bluez-utils-bfusb-readme.diff
Patch3:         bluez-utils-3.6.1-hcid.conf.diff
Patch4:         bluez-utils-3.4-bluetooth.rules.diff
Patch5:         bluez-utils-3.4-passkey-agent-warning.diff
Patch6:         bluez-utils-multibyte-fix.diff
Patch7:         bluez-utils-3.7-dbus-retry.diff
Patch8:         bluez-utils-3.7-CVE-2008-2374.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       bluez-libs >= %( echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' bluez-libs`)
Requires:       sysvinit
# obsoletes the first two together with bluez-libs, the other completely
Obsoletes:      bluez-pan bluez-sdp bluez-hciemu
Provides:       bluez-pan bluez-sdp bluez-hciemu

%description
This package contains daemons and utilities for using Bluetooth. The
package provides daemons for various services and the basic control and
configuration of Bluetooth devices. Miscellaneous utilities are
included for handling Bluetooth connections.

The BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., USA.



Authors:
--------
    Marcel Holtmann <marcel@holtmann.org>
    Maxim Krasnyansky <maxk@qualcomm.com>                                           
    Stephen Crane <steve.crane@rococosoft.com>                                                
    Guruprasad Krishnamurthy <guruprasad.krishnamurthy@nokia.com>
    Dmitry Kasatkin <dmitry.kasatkin@nokia.com>
    Manel Guerrero Zapata <manel.guerrero-zapata@nokia.com>

%debug_package
%package -n bluez-cups
Group:          Hardware/Printing
License:        GPL v2 or later
Summary:        CUPS Driver for Bluetooth Printers
Requires:       bluez-libs >= %( echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' bluez-libs`)

%description -n bluez-cups
Contains the files required by CUPS for printing to Bluetooth-connected
printers.



Authors:
--------
    Marcel Holtmann <marcel@holtmann.org>

%package -n bluez-test
Group:          Development/Tools/Debuggers
License:        GPL v2 or later; X11/MIT
Summary:        Tools for testing of various Bluetooth-functions
Requires:       bluez-libs >= %( echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' bluez-libs`) python-gobject2

%description -n bluez-test
Contains a few tools for testing various bluetooth functions. The
BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., U.S.A.



Authors:
--------
    Marcel Holtmann <marcel@holtmann.org>

%prep
%setup -n bluez-utils-%{version} -b 1 -b 2
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6
%patch7
%patch8 -p1
%{?suse_update_config:%{suse_update_config -f . }}
cd ../opd
%patch1 -p1

%build
cd ../bluez-utils-%{version}
autoreconf -sfi
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
	./configure 	--prefix=/usr \
			--mandir=%{_mandir} \
			--sysconfdir=%{_sysconfdir} \
			--libdir=%{_libdir} \
			--libexecdir=/lib \
			--localstatedir=/var \
			--enable-pie         \
			--enable-obex        \
			--enable-fuse        \
			--enable-alsa        \
			--enable-test        \
			--enable-cups        \
			--enable-initscripts \
			--enable-pcmciarules \
			--enable-bccmd       \
			--enable-avctrl      \
			--enable-hid2hci     \
			--enable-dfutool
make
cd ../opd
make CFLAGS="-I. $RPM_OPT_FLAGS"

%install
cd ../bluez-utils-%{version}
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir} libdir=%{_libdir} install
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/etc/udev/rules.d
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/lib/udev
mkdir -p $RPM_BUILD_ROOT/bin
# remove package-included config-file if exists
[ -f $RPM_BUILD_ROOT/etc/default/bluetooth ] && rm $RPM_BUILD_ROOT/etc/default/bluetooth
# suse hotplug-agent, udev-rules, runlevel-script
cp %{SOURCE6} $RPM_BUILD_ROOT/etc/init.d/bluetooth
ln -sf ../../etc/init.d/bluetooth $RPM_BUILD_ROOT/usr/sbin/rcbluetooth
cp %{SOURCE4} $RPM_BUILD_ROOT/lib/udev/bluetooth.sh
chmod a+x $RPM_BUILD_ROOT/lib/udev/bluetooth.sh
mv $RPM_BUILD_ROOT/etc/udev/bluetooth.rules $RPM_BUILD_ROOT/etc/udev/rules.d/40-bluetooth.rules
cp %{SOURCE5} $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.bluetooth
cp hcid/passkey-agent $RPM_BUILD_ROOT/usr/bin/
#docs
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
cp AUTHORS COPYING INSTALL ChangeLog NEWS README Readme.bfusb Liesmich.bfusb $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/
cp %{S:9} $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/
cp ../bluez-utils_doc/utils/* $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/
# bluez-cups
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/bluez-cups/
cp -pr COPYING  $RPM_BUILD_ROOT%{_defaultdocdir}/bluez-cups/
cp ../bluez-utils_doc/cups/* $RPM_BUILD_ROOT%{_defaultdocdir}/bluez-cups/
# bluez-test
cp test/hsmicro $RPM_BUILD_ROOT/usr/bin/
cp test/hsplay $RPM_BUILD_ROOT/usr/bin/
cp test/hstest $RPM_BUILD_ROOT/usr/bin/
cp test/attest $RPM_BUILD_ROOT/usr/bin/
cp test/apitest $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/bluez-test/
cp -pr COPYING  $RPM_BUILD_ROOT%{_defaultdocdir}/bluez-test/
# the file SOURCE6 is ok, but we should rename it someday
cp %{SOURCE6}  $RPM_BUILD_ROOT%{_defaultdocdir}/bluez-test/AUTHORS
cp ../bluez-utils_doc/test/* $RPM_BUILD_ROOT%{_defaultdocdir}/bluez-test/
# opd
mkdir -m 0755 -p $RPM_BUILD_ROOT/var/lib/bluetooth
mkdir -m 0755 -p $RPM_BUILD_ROOT/var/lib/bluetooth/opd
cd ../opd
cp opd $RPM_BUILD_ROOT/usr/bin/
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/opd
cp %{S:3} $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/opd/README

%clean
rm -rf $RPM_BUILD_ROOT

%post -n bluez-utils
%{fillup_only -n bluetooth}

%postun -n bluez-utils
%{insserv_cleanup}

%files
%defattr(-, root, root)
#%doc AUTHORS COPYING INSTALL ChangeLog NEWS README Readme.bfusb Liesmich.bfusb
/etc/init.d/bluetooth
%{_bindir}/hcitool
%{_bindir}/l2ping
%{_bindir}/rfcomm
%{_bindir}/dund
%{_bindir}/pand
%{_bindir}/hidd
%{_bindir}/sdptool
%{_bindir}/ciptool
%{_bindir}/dfutool
%{_bindir}/passkey-agent
%{_sbindir}/hciattach
%{_sbindir}/hciconfig
%{_sbindir}/hcid
%{_sbindir}/hid2hci
%{_sbindir}/rcbluetooth
%{_sbindir}/sdpd
%{_sbindir}/avctrl
#  %{_sbindir}/csrinit
%{_sbindir}/bccmd
%{_sbindir}/hciemu
%dir /lib/udev
/lib/udev/*
%doc %{_mandir}/man8/hciattach.8.gz
%doc %{_mandir}/man8/hciconfig.8.gz
%doc %{_mandir}/man5/hcid.conf.5.gz
%doc %{_mandir}/man8/hcid.8.gz
%doc %{_mandir}/man8/hid2hci.8.gz
%doc %{_mandir}/man8/sdpd.8.gz
%doc %{_mandir}/man8/avctrl.8.gz
#  %doc %{_mandir}/man8/csrinit.8.gz
%doc %{_mandir}/man8/bccmd.8.gz
%doc %{_mandir}/man1/dund.1.gz
%doc %{_mandir}/man1/pand.1.gz
%doc %{_mandir}/man1/hcitool.1.gz
%doc %{_mandir}/man1/sdptool.1.gz
%doc %{_mandir}/man1/ciptool.1.gz
%doc %{_mandir}/man1/rfcomm.1.gz
%doc %{_mandir}/man1/l2ping.1.gz
%doc %{_mandir}/man1/dfutool.1.gz
%doc %{_mandir}/man1/hidd.1.gz
%dir %{_sysconfdir}/bluetooth
%config(noreplace) %{_sysconfdir}/bluetooth/hcid.conf
#%config(noreplace) %{_sysconfdir}/bluetooth/pin
%config(noreplace) %{_sysconfdir}/bluetooth/rfcomm.conf
/var/adm/fillup-templates/sysconfig.bluetooth
%config %{_sysconfdir}/udev/rules.d
%config %{_sysconfdir}/dbus-1/system.d/bluez-hcid.conf
%doc %{_defaultdocdir}/%{name}
# opd
%{_bindir}/opd
%dir /var/lib/bluetooth
%dir /var/lib/bluetooth/opd

%files -n bluez-cups
%defattr(-,root,root)
%{_libdir}/cups/backend/bluetooth
%doc %{_defaultdocdir}/bluez-cups

%files -n bluez-test
%defattr(-,root,root)
%{_bindir}/l2test
%{_bindir}/rctest
%{_bindir}/hsmicro
%{_bindir}/hsplay
%{_bindir}/hstest
%{_bindir}/attest
%{_bindir}/apitest
# %{_bindir}/scotest
%doc %{_defaultdocdir}/bluez-test

%changelog
* Mon Jun 30 2008 - seife@suse.de
- added patch to fix CVE-2008-2374 (bnc #404963)
* Tue Jan 16 2007 - dgollub@suse.de
- fixed "typo" in previous update
* Tue Jan 09 2007 - dgollub@suse.de
- Fixed start of hci daemon when no dbus daemon is running
  (bug #228234, #230728)
- Fixed odp cleanup in init script
  (/var/lib/bluetooth/opd/ instead of /var/lib/bluetooth/)
* Thu Nov 16 2006 - seife@suse.de
- update the README.SUSE (bug #221601)
* Wed Nov 15 2006 - dgollub@suse.de
- bumped bluez-utils version in README.SUSE
* Sat Nov 11 2006 - dgollub@suse.de
- fixed typo in README.SUSE-factory (bug #217073)
- renamed README.SUSE-factory to README.SUSE
* Mon Nov 06 2006 - seife@suse.de
- fix autostart on adapter plugin (bug #214867)
- update README.SUSE-factory
* Fri Oct 27 2006 - dgollub@suse.de
- fixed multibyte character problem with storing device names
* Thu Oct 19 2006 - seife@suse.de
- add back lost python-gobject2 requires to dbus-test
* Thu Oct 19 2006 - seife@suse.de
- documentation fix for keyboard and mouse READMEs
* Wed Oct 18 2006 - seife@suse.de
- add python-gobject2 to requires of bluez-test (apitest is python)
- remove "modprobe -r hidp" from the init script (bug 154364)
* Tue Oct 10 2006 - seife@suse.de
- Update to v3.7:
  * Fix class of device handling.
  * Fix error replies with pairing and security mode 3.
  * Fix disconnect method for RFCOMM connections.
  * Add match pattern for service searches.
  * Add support for prioritized watches.
- Remove unused code from init script.
* Mon Oct 09 2006 - seife@suse.de
- Apply the latest fix also to subpackages (bug #210926)
* Fri Sep 29 2006 - aj@suse.de
- Require bluez-libs in version used for building - not in version
  of bluez-utils.
* Thu Sep 28 2006 - seife@suse.de
- update to v3.6.1:
  * Fix IO channel race conditions.
  * Fix pairing issues on big endian systems.
  * Fix pairing issues with page timeout errors.
  * Fix pairing state for security mode 3 requests.
  * Switch to user as default security manager mode.
- v3.6:
  * Update D-Bus based RFCOMM interface support.
  * Use L2CAP raw sockets for HCI connection creation.
  * Add periodic discovery support to the D-Bus interface.
  * Add initial support for device names via EIR.
  * Add proper UTF-8 validation of device names.
  * Add support for the J-Three keyboard.
* Thu Sep 07 2006 - seife@suse.de
- remove invalid return() statement from opd/obex_handler.c
* Wed Sep 06 2006 - seife@suse.de
- update to v3.5:
  * Fix and cleanup watch functionality.
  * Add support for periodic inquiry mode.
  * Add support for asynchronous SDP requests.
  * Add more request owner tracking.
  * Document pageto and discovto options.
* Tue Sep 05 2006 - seife@suse.de
- Cleaned up the specfile.
- Use udev rules and pcmcia script supplied by upstream instead of
  our own.
- Add two lines of warning to the passkey-agent, so users know it
  will go away.
* Wed Aug 30 2006 - dgollub@suse.de
- update to v3.4
  * Improve error reporting for failed HCI commands.
  * Improve handling of CancelBonding.
  * Fixed bonding reply message when disconnted.
- update to v3.3
  * Don't change inquiry mode for Bluetooth 1.1 adapters.
  * Add udev rules for Bluetooth serial PCMCIA cards.
  * Add Cancel and Release methods for passkey agents.
  * Add GetRemoteClass method.
  * Convert to using ppoll() and pselect().
  * Initialize allocated memory to zero.
  * Remove bcm203x firmware loader.
* Mon Jul 31 2006 - seife@suse.de
- update to v3.2:
  * Only check for the low-level D-Bus library.
  * Update possible device minor classes.
  * Fix timeout for pending reply.
  * Add more Inquiry with RSSI quirks.
  * Sleep only 100 msecs for device detection.
  * Don't send BondingCreated on link key renewal.
  * Allow storing of all UTF-8 remote device names.
  * Create storage filenames with a generic function.
- package dbus-test as bluez-dbus-test to let users utilize the
  dbus-interface, update README.SUSE-factory.
* Mon Jul 17 2006 - seife@suse.de
- readd /etc/pcmcia/bluetooth.sh
* Wed Jul 12 2006 - seife@suse.de
- add passkey-agent and README.SUSE-factory, so users get a chance
  to pair their devices again.
- remove obsolete bluepincat.
- make sure we start after dbus.
* Thu Jul 06 2006 - seife@suse.de
- update to v3.1:
  Fix handling of raw mode devices.
  Fix busy loop in UUID extraction routine.
  Remove inquiry mode setting.
  Remove auth and encrypt settings.
  Implement the new BlueZ D-Bus API.
  Use %%jx instead of %%llx for uint64_t and int64_t.
  Add support for the Handsfree Audio Gateway service.
  Add support for choosing a specific record handle.
  Add support for dialup/telephone connections.
* Mon Mar 27 2006 - dgollub@suse.de
- changed pinhelper script to execute kbluepin with arguments.
  (#159883)
* Tue Mar 14 2006 - dgollub@suse.de
- symlink to the latest linkkey file is no longer needed.
  kde control center can handle meanwhile new linkkey foramt.
  patch removed. (#155013)
* Fri Feb 03 2006 - seife@suse.de
- changed opd path from /var/lib/bluetooth to /.../bluetooth/opd
  to prevent the cleanup from removing our linkkeys.
- add a symlink to the linkkeys file for kde control center usage.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 - behlert@suse.de
- update to v2.24:
  * Fix display of SDP text and data strings.
  * Add support for device scan property.
  * Update the D-Bus policy configuration file.
- fixed some typos in bluetooth.sysconfig
* Mon Dec 12 2005 - behlert@suse.de
- update to v2.23:
  * Update the new D-Bus interface.
  * Make dfutool ready for big endian architectures.
  * Add support for AVRCP specific service records.
  * Add support for writing complex BCCMD commands.
  * Add the new BCCMD interface utility.
  * Add MicroBCSP implementation from CSR.
  * Add HCI emulation tool.
  * Add fake HID support for old EPoX presenters.
  * Reject connections from unknown HID devices.
- obsolets now bluez-hciemu
- moved /sbin/udev.bluetooth.sh to /lib/udev/bluetooth.sh
* Wed Nov 23 2005 - seife@suse.de
- add -fno-strict-aliasing
* Wed Nov 09 2005 - seife@suse.de
- fix localstatedir, was /usr/var/lib/bluetooth.
* Wed Nov 02 2005 - behlert@suse.de
- update to v2.22:
  * Remove D-Bus 0.23 support.
  * Add initial version of the new D-Bus interface.
  * Add support for extended inquiry response commands.
  * Add support for the Logitech diNovo Media Desktop Laser.
  * Add compile time buffer checks (FORTIFY SOURCE).
- enabled dfutool and csrinit and added them to package
* Wed Oct 05 2005 - behlert@suse.de
- fixed encoding of Liesmich.bfusb
* Thu Sep 29 2005 - dmueller@suse.de
- add norootforubild
* Tue Sep 20 2005 - behlert@suse.de
- update to v2.21:
  * removed dund-patch (now upstream)
  * fixes for D-BUS-support
  * added HotSync and ActiveSync service records
  * Add ActiveSync networking support
  *  Add support for extended inquiry response.
  ... see ChangeLog for more information
* Mon Aug 29 2005 - behlert@suse.de
- enhanced fix for [#106628]
- enhanced udev-rules (mostly PCMCIA-cards)
- added first version of script for PCMCIA-Bluetooth-cards
* Tue Aug 23 2005 - behlert@suse.de
- fixed path in diff for moved testX and wrong path on
  x86_64 [#106628]
* Mon Aug 22 2005 - behlert@suse.de
- renamed bluetooth_udev.sh to udev.bluetooth.sh to have unique
  namingscheme [requested by hotplug-group]
- minor fixes in udev.bluetooth.sh
* Wed Aug 10 2005 - behlert@suse.de
- added missing options to dund-manpage
- added a little bit of documentation for using dund
- update to new version to fix some security relevant problems
  [#103086]:
  * Fix the GCC 4.0 warnings.
  * Fix off by one memory allocation error.
  * Fix security problem with escape characters in device name.
- fixed paths in rcbluetooth [#103061]
- fixed non-starting bluetooth [#99245]
- removed kbluetoothd-start via desktop-file from rcbluetooth,
  must be done by suseplugger instead
* Mon Jul 04 2005 - behlert@suse.de
- updated to v2.18:
  * Support D-Bus 0.23 and 0.33 API versions.
  * Support reading of complex BCCMD values.
  * Support minimum and maximum encryption key length.
  ... see ChangeLog for more information
* Fri Jun 17 2005 - behlert@suse.de
- enable -fPIE
* Tue May 10 2005 - behlert@suse.de
- updated to v2.17: mostly additional support for records,
  see ChangeLog for more information
- renamed patch to avoid renames with version-changes in
  future releases, adapted spec-file
* Mon Apr 25 2005 - meissner@suse.de
- use RPM_OPT_FLAGS also for opd.
* Wed Apr 20 2005 - behlert@suse.de
- updated to v2.16:
  * Store link keys in ASCII based file format.
  * Support device name caching.
  * Support zero length data sizes in l2test.
  * Change default l2ping data size to 44 bytes.
  * Hide the server record and the public browse group root.
  * Read BD_ADDR if not set and if it is a raw device.
  * Add SDP language attributes.
  * Add support for browsing the L2CAP group.
  * Add support for stored pin codes for outgoing connections.
  * Add support for local commands and extended features.
  * Add support for reading CSR panic and fault codes.
  * Add config option for setting the inquiry mode.
  * Add OUI decoding support.
  * Use unlimited inquiry responses as default.
  * Use cached device names for PIN request.
  * Use the clock offset when getting the remote names.
* Mon Mar 21 2005 - behlert@suse.de
- added possibility to allow stopping bluetooth completely when
  hotplug remove event is seen
- added more checks for already running demons to avoid nasty
  log-messages
* Mon Mar 21 2005 - behlert@suse.de
- fixed typo in bluetooth-startscript (HCI instead of HID)
  preventing start of hidd
* Tue Mar 01 2005 - behlert@suse.de
- changed return-code for rcbluetooth status otherwise Yast would
  not restart the service successfully
- Security Mode 3 should NOT be enabled, this is not working with
  most devices, and gives only a false sense of security
* Thu Feb 17 2005 - behlert@suse.de
- hidp-module is loaded by hotplug
- check for running hidp
* Mon Feb 14 2005 - behlert@suse.de
- added hotplug.d-directory to spec-file
* Mon Feb 14 2005 - behlert@suse.de
- /etc/hotplug/bluetooth.agent moved to
  /etc/hotplug.d/bluetooth/50-bluetooth.hotplug
* Tue Feb 01 2005 - behlert@suse.de
- updated to v2.15: support for various library functions,
  security enhancements, add tool for changing the device address
* Wed Jan 12 2005 - behlert@suse.de
- updated to v 2.13: various clean-ups, HID-changes,
  Device-id attributes
* Fri Dec 03 2004 - behlert@suse.de
- updated to v2.12: parameter adaptions, UUID translation tables
  updated
* Wed Nov 17 2004 - behlert@suse.de
- updated to v2.11
- patches cleanup
* Mon Nov 15 2004 - behlert@suse.de
- fixed comment in hcid.conf
* Fri Oct 29 2004 - ro@suse.de
- removed glib,gtk from neededforbuild (unused)
* Sat Oct 02 2004 - behlert@suse.de
- added hidd-manpage
* Fri Oct 01 2004 - behlert@suse.de
- fixed support for hwscan: first create list, then list the list
- fixed 64bit-support [#46554]
* Thu Sep 30 2004 - behlert@suse.de
- added support for hwscan - now suseplugger can react correct
- start rfcomm-service per default
* Thu Sep 23 2004 - behlert@suse.de
- added additional check before copying Desktop-file, saw error
  once
- copy deskfile at the end, after creation of device
* Fri Sep 17 2004 - behlert@suse.de
- modprobe hidp when stating HIDD, hotplug doesn't do it for
  some reason
* Thu Sep 16 2004 - behlert@suse.de
- add hidd-patch, allowing SoneEricsson and others to connect when
  hidd is started (#45452)
* Tue Sep 14 2004 - behlert@suse.de
- changed /tmp/bluetooth to /var/lib/bluetooth
- add directory to spec-file
* Tue Sep 14 2004 - behlert@suse.de
- workaround for #44867: opd should write to /tmp/bluetooth
* Mon Sep 13 2004 - behlert@suse.de
- bluepincat should work even if kbluepin is installed but no
  kbluetoothd running
* Wed Sep 08 2004 - behlert@suse.de
- hidd activated
- enhanced documentation for keyboards and mice
* Thu Sep 02 2004 - behlert@suse.de
- spec-file: allow execution of /etc/pcmcia/bluetooth
* Thu Sep 02 2004 - behlert@suse.de
- fixed bluepincat [#44613]
- first workaround for [#43183]
* Mon Aug 30 2004 - behlert@suse.de
- changed names of documentation files
* Thu Aug 26 2004 - behlert@suse.de
- changed hcid.conf: added service-class 'Object Transfer' [#44195]
- added automatical install of kbluetoothd.desktop (if available)
  to rc-script [#44074]
- patched bluepincat to use kbluepin if available [#44195]
* Tue Aug 24 2004 - behlert@suse.de
- enhanced documentation
- put all additional documentation-files into one archive
* Mon Aug 23 2004 - behlert@suse.de
- split package, created bluez-test containing test-utils
- added documentation for cups-package
* Wed Aug 18 2004 - behlert@suse.de
- updated to v2.10: mostly bug-fix release
- added patch for bluez-cups: backend should give answer when
  called without argument according to CUPS-people
* Tue Aug 17 2004 - behlert@suse.de
- fixed wrong dund-parameter and man-page (#43598)
* Mon Aug 16 2004 - behlert@suse.de
- fixed bluetooth.agent
* Wed Aug 11 2004 - behlert@suse.de
- patched hcid.conf for easier YAST-parsing (auth & encryp - variable)
* Tue Jul 27 2004 - behlert@suse.de
- update to 2.9
- fixed typo 'demon' in configuration-files
- fixed fillup (do not start service, use correct file)
- cleanup spec-file: patches
* Wed Jul 21 2004 - behlert@suse.de
- changed x86_64-patch according to upstream-maintainer
- added documentation-dir to bluez-cups
* Tue Jul 20 2004 - behlert@suse.de
- fixed path-problem on 64bit-units in acinclude.m4
- avoid hcid being started multiple times in init-script [#43091]
- dropped wrong check in init-script
* Wed Jul 14 2004 - behlert@suse.de
- update to v2.8, various changes; Uses LIBS and LDADD instead of
  LDFLAGS now
- fixed opd-Makefile (-lsdp no longer exists)
- fillup
- src creates now bluez-utils.rpm and bluez-cups.rpm
* Tue Jul 13 2004 - behlert@suse.de
- /etc/default/ -> /etc/sysconfig/
- edited bluetooth.default and renamed it to bluetooth.sysconfig
* Tue Jul 06 2004 - behlert@suse.de
- completely changed startup-script
- added new bluetooth.agent
- added new configuration-file to enable/disable services
- cleanup in spec-file (still a mess, but better now)
* Tue May 11 2004 - behlert@suse.de
- using original init.d-script from package as bluetooth-agent-script
* Mon May 10 2004 - behlert@suse.de
- update to v2.7: obsoletes now bluez-pan, too
- avoid underquoted definition in ac*.m4
* Wed May 05 2004 - behlert@suse.de
- update to v2.6 which obsoletes together with the
  bluez-libs-package the sdp-package!
- patched hcid.conf with comments and name-setting-change
- removed obsolete tar-files
- prefix has changed from '/' to '/usr', edited spec-file to follow
  that change (exception: bluepincat)
* Tue Jan 27 2004 - behlert@suse.de
- openobex-package has changed, fixed specfile (neededforbuild), now it should
  build again
* Fri Jan 16 2004 - behlert@suse.de
- concatenation of string literals with __FUNCTION__ is deprecated, fixed opd
- added location of opd-source-download in README.opd
* Fri Dec 19 2003 - behlert@suse.de
- update to v2.4:
  hciattach supports more devices
  hciconfig with better output
  hcitool enhanced
- fixed spec: require for correct bluez-lib version
* Fri Nov 21 2003 - hvogel@suse.de
- add opd (OBEX Push Daemon)
* Wed Oct 08 2003 - kkeil@suse.de
- add none interactiv PIN handling (#31940)
- add debug utils
- add documentation for BLUE FRITZ!
* Thu Sep 18 2003 - behlert@suse.de
- added bluetooth-modules to rc-script to fix start-problems
  Bugzilla #31201 (bluetooth only working after restart of hotplug-system)
* Thu Sep 18 2003 - behlert@suse.de
- Our policy is that per default we don't start daemons. Disabled.
  Bugzilla #30065 (sdpd starts when package installed)
* Fri Aug 22 2003 - kkeil@suse.de
- add ciptool-1.0 to package (setup for Common Isdn Profile)
* Wed Aug 06 2003 - stepan@suse.de
- update to 2.3
* Fri Jun 13 2003 - ro@suse.de
- added directories to filelist
* Tue May 27 2003 - ro@suse.de
- add rfcomm manpage to filelist
* Tue Mar 18 2003 - stepan@suse.de
- fix bluetooth.rc.suse. It always failed when there was no
  /etc/bluetooth/uart file
- add rcbluetooth link
* Mon Feb 10 2003 - stepan@suse.de
- fix libdir path in spec file
* Fri Jan 31 2003 - stepan@suse.de
- initial release 2.2
